# QPalette Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPalette()
- void QPalette(GlobalColor button)
- void QPalette(QBrush windowText, QBrush button, QBrush light, QBrush dark, QBrush mid, QBrush text, QBrush bright_text, QBrush base, QBrush window)
- void QPalette(QColor button)
- void QPalette(QColor button, QColor window)
- void QPalette(QPalette palette)

### Constructor Properties

- prototype: The QPalette prototype object
- Active
- Disabled
- Inactive
- NColorGroups
- Current
- All
- ColorGroup( value )
- WindowText
- Button
- Light
- Midlight
- Dark
- Mid
- Text
- BrightText
- ButtonText
- Base
- Window
- Shadow
- Highlight
- HighlightedText
- Link
- LinkVisited
- AlternateBase
- NoRole
- ToolTipBase
- ToolTipText
- NColorRoles = ToolTipText+1
- ColorRole( value )

### Prototype Object Properties

- QBrush alternateBase()
- QBrush base()
- QBrush brightText()
- QBrush brush(ColorGroup cg, ColorRole cr)
- QBrush button()
- QBrush buttonText()
- qint64 cacheKey()
- QColor color(ColorGroup cg, ColorRole cr)
- ColorGroup currentColorGroup()
- QBrush dark()
- QBrush highlight()
- QBrush highlightedText()
- bool isBrushSet(ColorGroup cg, ColorRole cr)
- bool isCopyOf(QPalette p)
- bool isEqual(ColorGroup cr1, ColorGroup cr2)
- QBrush light()
- QBrush link()
- QBrush linkVisited()
- QBrush mid()
- QBrush midlight()
- bool operator_equal(QPalette p)
- void readFrom(QDataStream ds)
- uint resolve()
- void setBrush(ColorGroup cg, ColorRole cr, QBrush brush)
- void setColor(ColorGroup cg, ColorRole cr, QColor color)
- void setColorGroup(ColorGroup cr, QBrush windowText, QBrush button, QBrush light, QBrush dark, QBrush mid, QBrush text, QBrush bright_text, QBrush base, QBrush window)
- void setCurrentColorGroup(ColorGroup cg)
- QBrush shadow()
- QBrush text()
- QBrush toolTipBase()
- QBrush toolTipText()
- QBrush window()
- QBrush windowText()
- void writeTo(QDataStream ds)

### Instance Properties

QPalette objects have no special properties beyond those inherited from the QPalette prototype object.